Index: scripts/scripts/plfs-configs/plfs-config-arm-softfloat
===================================================================
--- scripts/scripts/plfs-configs/plfs-config-arm-softfloat	(revision a7d67caaa7e8e8cae265cbc2afa0993ea3de5afd)
+++ scripts/scripts/plfs-configs/plfs-config-arm-softfloat	(revision e2fb98dedd6a84ebc4fec93929a4e805ab04bec9)
@@ -101,4 +101,10 @@
 export USE_SANITISED_HEADERS=Y
 
+# SYSROOT OPTIONS
+#----------------
+# Set to Y to do a sysrooted build.
+# Sysroot will be ${LFS}
+export USE_SYSROOT=Y
+
 # GCC
 #-----
@@ -122,4 +128,7 @@
 # Are we building a multi-arch toolchain
 export MULTIARCH=N
+
+# Dont build shared libgcc prior to main glibc build
+export NO_GCC_EH=Y
 
 # MISC
Index: scripts/scripts/plfs-configs/plfs-config-hypersparc
===================================================================
--- scripts/scripts/plfs-configs/plfs-config-hypersparc	(revision a7d67caaa7e8e8cae265cbc2afa0993ea3de5afd)
+++ scripts/scripts/plfs-configs/plfs-config-hypersparc	(revision e2fb98dedd6a84ebc4fec93929a4e805ab04bec9)
@@ -97,4 +97,10 @@
 export USE_SANITISED_HEADERS=Y
 
+# SYSROOT OPTIONS
+#----------------
+# Set to Y to do a sysrooted build.
+# Sysroot will be ${LFS}
+export USE_SYSROOT=N
+
 # GCC
 #-----
@@ -118,4 +124,7 @@
 # Are we building a multi-arch toolchain
 export MULTIARCH=N
+
+# Dont build shared libgcc prior to main glibc build
+export NO_GCC_EH=Y
 
 # MISC
Index: scripts/scripts/plfs-configs/plfs-config-i686-lfs-5.1.1
===================================================================
--- scripts/scripts/plfs-configs/plfs-config-i686-lfs-5.1.1	(revision a7d67caaa7e8e8cae265cbc2afa0993ea3de5afd)
+++ scripts/scripts/plfs-configs/plfs-config-i686-lfs-5.1.1	(revision e2fb98dedd6a84ebc4fec93929a4e805ab04bec9)
@@ -97,4 +97,10 @@
 export USE_SANITISED_HEADERS=N
 
+# SYSROOT OPTIONS
+#----------------
+# Set to Y to do a sysrooted build.
+# Sysroot will be ${LFS}
+export USE_SYSROOT=N
+
 # GCC
 #-----
@@ -118,4 +124,7 @@
 # Are we building a multi-arch toolchain
 export MULTIARCH=N
+
+# Dont build shared libgcc prior to main glibc build
+export NO_GCC_EH=Y
 
 # MISC
Index: scripts/scripts/plfs-configs/plfs-config-m68k-lfs-5.1.1
===================================================================
--- scripts/scripts/plfs-configs/plfs-config-m68k-lfs-5.1.1	(revision a7d67caaa7e8e8cae265cbc2afa0993ea3de5afd)
+++ scripts/scripts/plfs-configs/plfs-config-m68k-lfs-5.1.1	(revision e2fb98dedd6a84ebc4fec93929a4e805ab04bec9)
@@ -97,4 +97,10 @@
 export USE_SANITISED_HEADERS=N
 
+# SYSROOT OPTIONS
+#----------------
+# Set to Y to do a sysrooted build.
+# Sysroot will be ${LFS}
+export USE_SYSROOT=N
+
 # GCC
 #-----
@@ -118,4 +124,7 @@
 # Are we building a multi-arch toolchain
 export MULTIARCH=N
+
+# Dont build shared libgcc prior to main glibc build
+export NO_GCC_EH=Y
 
 # MISC
Index: scripts/scripts/plfs-configs/plfs-config-mips64el
===================================================================
--- scripts/scripts/plfs-configs/plfs-config-mips64el	(revision a7d67caaa7e8e8cae265cbc2afa0993ea3de5afd)
+++ scripts/scripts/plfs-configs/plfs-config-mips64el	(revision e2fb98dedd6a84ebc4fec93929a4e805ab04bec9)
@@ -101,5 +101,5 @@
 # Set to Y to do a sysrooted build.
 # Sysroot will be ${LFS}
-export USE_SYSROOT=Y
+export USE_SYSROOT=N
 
 # GCC
@@ -124,4 +124,7 @@
 # Are we building a multi-arch toolchain
 export MULTIARCH=Y
+
+# Dont build shared libgcc prior to main glibc build
+export NO_GCC_EH=Y
 
 # MISC
Index: scripts/scripts/plfs-configs/plfs-config-mips64el-n32-uniarch
===================================================================
--- scripts/scripts/plfs-configs/plfs-config-mips64el-n32-uniarch	(revision a7d67caaa7e8e8cae265cbc2afa0993ea3de5afd)
+++ scripts/scripts/plfs-configs/plfs-config-mips64el-n32-uniarch	(revision e2fb98dedd6a84ebc4fec93929a4e805ab04bec9)
@@ -125,4 +125,7 @@
 export MULTIARCH=N
 
+# Dont build shared libgcc prior to main glibc build
+export NO_GCC_EH=Y
+
 # MISC
 #------
Index: scripts/scripts/plfs-configs/plfs-config-powerpc64
===================================================================
--- scripts/scripts/plfs-configs/plfs-config-powerpc64	(revision a7d67caaa7e8e8cae265cbc2afa0993ea3de5afd)
+++ scripts/scripts/plfs-configs/plfs-config-powerpc64	(revision e2fb98dedd6a84ebc4fec93929a4e805ab04bec9)
@@ -97,4 +97,10 @@
 export USE_SANITISED_HEADERS=Y
 
+# SYSROOT OPTIONS
+#----------------
+# Set to Y to do a sysrooted build.
+# Sysroot will be ${LFS}
+export USE_SYSROOT=N
+
 # GCC
 #-----
@@ -118,4 +124,7 @@
 # Are we building a multi-arch toolchain
 export MULTIARCH=Y
+
+# Dont build shared libgcc prior to main glibc build
+export NO_GCC_EH=Y
 
 # MISC
Index: scripts/scripts/plfs-configs/plfs-config-ppc750
===================================================================
--- scripts/scripts/plfs-configs/plfs-config-ppc750	(revision a7d67caaa7e8e8cae265cbc2afa0993ea3de5afd)
+++ scripts/scripts/plfs-configs/plfs-config-ppc750	(revision e2fb98dedd6a84ebc4fec93929a4e805ab04bec9)
@@ -97,4 +97,10 @@
 export USE_SANITISED_HEADERS=Y
 
+# SYSROOT OPTIONS
+#----------------
+# Set to Y to do a sysrooted build.
+# Sysroot will be ${LFS}
+export USE_SYSROOT=N
+
 # GCC
 #-----
@@ -118,4 +124,7 @@
 # Are we building a multi-arch toolchain
 export MULTIARCH=N
+
+# Dont build shared libgcc prior to main glibc build
+export NO_GCC_EH=Y
 
 # MISC
Index: scripts/scripts/plfs-configs/plfs-config-sparc64
===================================================================
--- scripts/scripts/plfs-configs/plfs-config-sparc64	(revision a7d67caaa7e8e8cae265cbc2afa0993ea3de5afd)
+++ scripts/scripts/plfs-configs/plfs-config-sparc64	(revision e2fb98dedd6a84ebc4fec93929a4e805ab04bec9)
@@ -97,4 +97,10 @@
 export USE_SANITISED_HEADERS=Y
 
+# SYSROOT OPTIONS
+#----------------
+# Set to Y to do a sysrooted build.
+# Sysroot will be ${LFS}
+export USE_SYSROOT=N
+
 # GCC
 #-----
@@ -118,4 +124,7 @@
 # Are we building a multi-arch toolchain
 export MULTIARCH=Y
+
+# Dont build shared libgcc prior to main glibc build
+export NO_GCC_EH=Y
 
 # MISC
Index: scripts/scripts/plfs-configs/plfs-config-sparcv9
===================================================================
--- scripts/scripts/plfs-configs/plfs-config-sparcv9	(revision a7d67caaa7e8e8cae265cbc2afa0993ea3de5afd)
+++ scripts/scripts/plfs-configs/plfs-config-sparcv9	(revision e2fb98dedd6a84ebc4fec93929a4e805ab04bec9)
@@ -97,4 +97,10 @@
 export USE_SANITISED_HEADERS=Y
 
+# SYSROOT OPTIONS
+#----------------
+# Set to Y to do a sysrooted build.
+# Sysroot will be ${LFS}
+export USE_SYSROOT=N
+
 # GCC
 #-----
@@ -118,4 +124,7 @@
 # Are we building a multi-arch toolchain
 export MULTIARCH=N
+
+# Dont build shared libgcc prior to main glibc build
+export NO_GCC_EH=Y
 
 # MISC
Index: scripts/scripts/plfs-configs/plfs-config-x86-native
===================================================================
--- scripts/scripts/plfs-configs/plfs-config-x86-native	(revision a7d67caaa7e8e8cae265cbc2afa0993ea3de5afd)
+++ scripts/scripts/plfs-configs/plfs-config-x86-native	(revision e2fb98dedd6a84ebc4fec93929a4e805ab04bec9)
@@ -97,4 +97,10 @@
 export USE_SANITISED_HEADERS=Y
 
+# SYSROOT OPTIONS
+#----------------
+# Set to Y to do a sysrooted build.
+# Sysroot will be ${LFS}
+export USE_SYSROOT=N
+
 # GCC
 #-----
@@ -118,4 +124,7 @@
 # Are we building a multi-arch toolchain
 export MULTIARCH=N
+
+# Dont build shared libgcc prior to main glibc build
+export NO_GCC_EH=Y
 
 # MISC
Index: scripts/scripts/plfs-configs/plfs-config-x86_64-native
===================================================================
--- scripts/scripts/plfs-configs/plfs-config-x86_64-native	(revision a7d67caaa7e8e8cae265cbc2afa0993ea3de5afd)
+++ scripts/scripts/plfs-configs/plfs-config-x86_64-native	(revision e2fb98dedd6a84ebc4fec93929a4e805ab04bec9)
@@ -97,4 +97,10 @@
 export USE_SANITISED_HEADERS=Y
 
+# SYSROOT OPTIONS
+#----------------
+# Set to Y to do a sysrooted build.
+# Sysroot will be ${LFS}
+export USE_SYSROOT=N
+
 # GCC
 #-----
@@ -118,4 +124,7 @@
 # Are we building a multi-arch toolchain
 export MULTIARCH=Y
+
+# Dont build shared libgcc prior to main glibc build
+export NO_GCC_EH=Y
 
 # MISC
Index: scripts/scripts/plfs-configs/plfs-packages-20060112
===================================================================
--- scripts/scripts/plfs-configs/plfs-packages-20060112	(revision a7d67caaa7e8e8cae265cbc2afa0993ea3de5afd)
+++ scripts/scripts/plfs-configs/plfs-packages-20060112	(revision e2fb98dedd6a84ebc4fec93929a4e805ab04bec9)
@@ -21,5 +21,5 @@
 export BASH_VER=3.0
 export BIN86_VER=0.16.11
-export BINUTILS_VER=2.16.1		# can be either FSF or HJL Binutils
+export BINUTILS_VER=2.16.91.0.5		# can be either FSF or HJL Binutils
 export BISON_VER=2.1
 export BZIP2_VER=1.0.3
@@ -45,5 +45,5 @@
 export IPROUTE2_VER=050816
 export KBD_VER=1.12			# chapter 6
-export KERNEL_VER=2.6.11-ac7
+export KERNEL_VER=2.6.15
 export LESS_VER=385			# chapter 6
 export LFS_BS_VER=3.2.2			# chapter 6
@@ -80,5 +80,5 @@
 export TCL_VER=8.4.11
 export TEXINFO_VER=4.8
-export UDEV_VER=076
+export UDEV_VER=080
 export UTILLINUX_VER=2.12r
 export VIM_VER=6.4			# chapter 6
